.c-product-compact__number {
    padding-right: 20px;
    font-weight: 500;
    line-height: 1.2;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.c-product-compact__place {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0px 10px;
}

.l-products-compact__item:nth-child(-n+3) .c-product-compact__place {
    width: 30px; 
    height: 30px; 
    margin: 0;
    color: white;
    position: relative;
}

.l-products-compact__item:nth-child(-n+3) .c-product-compact__place:before,
.l-products-compact__item:nth-child(-n+3) .c-product-compact__place:after {
    content: "";
    height: 30px; 
    width: 30px;
    background: inherit;
    position: absolute; 
    top: 0; 
    left: 0;
}

.l-products-compact__item:nth-child(-n+3) .c-product-compact__place:before {
    transform: rotate(30deg);
}

.l-products-compact__item:nth-child(-n+3) .c-product-compact__place:after {
    transform: rotate(60deg);
}

.l-products-compact__item:nth-child(1) .c-product-compact__place {
    background: #ffd700;
}

.l-products-compact__item:nth-child(2) .c-product-compact__place {
    background: #c0c0c0;
}

.l-products-compact__item:nth-child(3) .c-product-compact__place {
    background: #cd7f32;
}

.c-product-compact__placenumber {
    z-index: 1;
}

.l-products-extend__item:nth-child(-n+3) .c-product-compact__place {
    width: 30px; 
    height: 30px; 
    margin: 0;
    color: white;
    position: relative;
}

.l-products-extend__item:nth-child(-n+3) .c-product-compact__place:before,
.l-products-extend__item:nth-child(-n+3) .c-product-compact__place:after {
    content: "";
    height: 30px; 
    width: 30px;
    background: inherit;
    position: absolute; 
    top: 0; 
    left: 0;
}

.l-products-extend__item:nth-child(-n+3) .c-product-compact__place:before {
    transform: rotate(30deg);
}

.l-products-extend__item:nth-child(-n+3) .c-product-compact__place:after {
    transform: rotate(60deg);
}

.l-products-extend__item:nth-child(1) .c-product-compact__place {
    background: #ffd700;
}

.l-products-extend__item:nth-child(2) .c-product-compact__place {
    background: #c0c0c0;
}

.l-products-extend__item:nth-child(3) .c-product-compact__place {
    background: #cd7f32;
}